Skip to main content

Allow All Traffic

Attaches an "allow all traffic" security group to the load balancer's underlying VM, opening all inbound and outbound traffic. The vm_id path parameter is the load balancer's node_detail.vm_id. The request body is an empty JSON object.

POST/api/v1/security_group/{vm_id}/allow-all-traffic-node/

Path parameters

  • vm_idPathintegerrequired

    The vm_id field from the node_detail object in the List Load Balancers response.

    • required
    • must be a valid VM ID
    example23456

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the request

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the load balancer.

    • must be a non-empty string
    example{{location}}

Request body

application/json

object

No fields are required - send an empty JSON object. The target VM is identified by the vm_id path parameter.

Responses

200Successful response
object
codeinteger
example200
datastring
example
errorsobject
messagestring
exampleSecurity Group attached successfully.